summaryrefslogtreecommitdiff
path: root/Meta
diff options
context:
space:
mode:
Diffstat (limited to 'Meta')
-rwxr-xr-xMeta/serenity.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/Meta/serenity.sh b/Meta/serenity.sh
index 1ca60f52f5..44773cad66 100755
--- a/Meta/serenity.sh
+++ b/Meta/serenity.sh
@@ -242,6 +242,21 @@ build_toolchain() {
ensure_toolchain() {
[ -d "$TOOLCHAIN_DIR" ] || build_toolchain
+
+ # FIXME: Remove this check when most people have already updated their toolchain
+ if [ "$TOOLCHAIN_TYPE" = "GNU" ]; then
+ local ld_version
+ ld_version="$("$TOOLCHAIN_DIR"/bin/"$TARGET"-pc-serenity-ld -v)"
+ local expected_version="GNU ld (GNU Binutils) 2.38"
+ if [ "$ld_version" != "$expected_version" ]; then
+ echo "Your toolchain has an old version of binutils installed."
+ echo " installed version: \"$ld_version\""
+ echo " expected version: \"$expected_version\""
+ echo "Please run $ARG0 rebuild-toolchain $TARGET to update it."
+ exit 1
+ fi
+ fi
+
}
delete_toolchain() {